package com.ywt.outpatient.domain.models.enums;

/**
 * @author Walker
 * Created on 2021/1/27
 */
public enum NatOrderExtStatusEnum {

    DEFAULT("尚未执行", 0),
    EXECUTED("确认执行", 1)
    ;

    private final String displayName;

    private final int value;

    NatOrderExtStatusEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static NatOrderExtStatusEnum valueOf(int value) {
        for (NatOrderExtStatusEnum e : NatOrderExtStatusEnum.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return DEFAULT;
    }
}